#include <iostream>
#include <vector>
using namespace std;
/*void keres(int p,int k,int y,vector<int> italok,int n)
{
    vector<int> jelen(y+1);
    int max;
    for(int i=p;i<n-y;i++){
            jelen[0]=italok[0];
    for(int j=i+1,t=0;j<n-k;j++,t++)
    {
        if(k!=0){
        k--;
        keres(p+1,k,y,italok,n);
        }
        jelen[t]=italok[j];

    }int osz=0;
        if(jelen[0]<=jelen[y-1])
    {
        for(int j=1;j<y;j++)
        {
            cout<<"11jelen[j]="<<jelen[j]<<endl;
            osz=osz+jelen[j];
        }
        osz=osz-jelen[0];
        cout<<"22jelen[j]="<<jelen[0]<<endl;
    }
    else
    {

        for(int j=y-2;j>=0;j--)
        {
            cout<<"22jelen[j]="<<jelen[j]<<endl;
            osz=osz+jelen[j];
        }
        osz=osz-jelen[y-1];
        cout<<"22jelen[j]="<<jelen[y-1]<<endl;
    }
    cout<<"osz="<<osz<<endl;
    if(osz>max)
    {
        max=osz;
    }
}
}*/
int main()
{
    int n,k,x,max=0;
cin>>n>>k;
vector<int> italok(0);
vector<int> jelen(k+1);
for(int i=0;i<n;i++)
{
    cin>>x;
    italok.push_back(x);
}
if(n==k)
{
    int osz=0;
        if(italok[0]<=italok[k-1])
    {
        for(int j=1;j<k;j++)
        {
            osz=osz+italok[j];
        }
        osz=osz-italok[0];

    }
    else
    {
        for(int j=k-2;j>=0;j--)
        {
            osz=osz+italok[j];
        }
        osz=osz-italok[k-1];

    }
        max=osz;
}
else{
for(int i=0;i<=n-k;i++){
            jelen[0]=italok[i];
    for(int j=i+1,t=1;j<i+k;j++,t++)
    {
        jelen[t]=italok[j];

    }int osz=0;
        if(jelen[0]<=jelen[k-1])
    {
        for(int j=1;j<k;j++)
        {
            osz=osz+jelen[j];
        }
        osz=osz-jelen[0];

    }
    else
    {
        for(int j=k-2;j>=0;j--)
        {
            osz=osz+jelen[j];
        }
        osz=osz-jelen[k-1];

    }
    if(osz>max)
    {
        max=osz;
    }
}
}
cout<<max;

}